Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deploys

Get deploy detail

get
Authorizations
x-api-keystringRequired

API key is a token provided while making the API calls. This is used to authenticate the client at the exposed endpoint.

Path parameters
deployIdstringRequired

Deploy ID, e.g. DEPL-24

Query parameters
accountIdstring · min: 1Required

Harness account identifier.

orgIdstring · min: 1Required

Harness organization identifier.

projectIdstring · min: 1Required

Harness project identifier.

Responses
200

Deploy detail

application/json
idstringRequired

Deploy id (activity pretty id, e.g. DEPL-24)

projectIdstringRequired
titlestringOptional

Deploy title

summarystringOptional

Deploy summary

statusstring · enumOptional

Deploy status

Possible values:
environmentsstring[]Optional

Environment labels the deploy targeted (e.g. prod, qa)

deployTimestampinteger · int64Optional

Epoch timestamp of the deploy (milliseconds)

webLinkstringOptional

Web link to the deploy activity

get/api/v1/mc/deploys/{deployId}
GET /gateway/ir/tp/api/v1/mc/deploys/{deployId}?accountId=text&orgId=text&projectId=text HTTP/1.1
Host: app.harness.io
x-api-key: YOUR_API_KEY
Accept: */*
{
  "id": "text",
  "projectId": "text",
  "title": "text",
  "summary": "text",
  "status": "PENDING",
  "environments": [
    "text"
  ],
  "buildVersions": [
    {
      "service": "text",
      "version": "text",
      "commitSha": "text",
      "branch": "text",
      "repositoryName": "text",
      "repositoryUrl": "text"
    }
  ],
  "deployTimestamp": 1,
  "webLink": "text",
  "relatedActivities": [
    {
      "name": "text",
      "templateTypeName": "INCIDENT",
      "prettyId": "text",
      "globalId": "text",
      "title": "text"
    }
  ]
}

List deploys

get
Authorizations
x-api-keystringRequired

API key is a token provided while making the API calls. This is used to authenticate the client at the exposed endpoint.

Query parameters
accountIdstring · min: 1Required

Harness account identifier.

orgIdstring · min: 1Required

Harness organization identifier.

projectIdstring · min: 1Required

Harness project identifier.

servicestring[]Optional

Filter by service name (multi-value, OR-combined)

environmentstring[]Optional

Filter by environment label (multi-value, OR-combined)

deployedAfterstringOptional

ISO-8601 inclusive lower bound on deploy time, e.g. 2026-05-01T00:00:00Z

deployedBeforestringOptional

ISO-8601 inclusive upper bound on deploy time

sortDirectionstring · enumOptional

Sort direction

Possible values:
pageSizeinteger · int32Optional

Page size requested

pageinteger · int32Optional

0-based page number; defaults to 0 (the first page).

Responses
200

Page of deploys

application/json
totalCountinteger · int32Optional
get/api/v1/mc/deploys
GET /gateway/ir/tp/api/v1/mc/deploys?accountId=text&orgId=text&projectId=text HTTP/1.1
Host: app.harness.io
x-api-key: YOUR_API_KEY
Accept: */*
200

Page of deploys

{
  "entities": [
    {
      "id": "text",
      "projectId": "text",
      "title": "text",
      "summary": "text",
      "status": "PENDING",
      "environments": [
        "text"
      ],
      "buildVersions": [
        {
          "service": "text",
          "version": "text",
          "commitSha": "text",
          "branch": "text",
          "repositoryName": "text",
          "repositoryUrl": "text"
        }
      ],
      "deployTimestamp": 1,
      "webLink": "text",
      "relatedActivities": [
        {
          "name": "text",
          "templateTypeName": "INCIDENT",
          "prettyId": "text",
          "globalId": "text",
          "title": "text"
        }
      ]
    }
  ],
  "totalCount": 1
}

Last updated

Was this helpful?